#include 	<p18f4550.h>
#include 	<i2c.h>
#include 	<spi.h>					
#include 	<pwm.h>						
#include 	<adc.h>					
#include	<portb.h>					
#include 	<timers.h>
#include 	"3310.h"

#pragma config WDT = OFF
#pragma config PLLDIV=5
#pragma config FOSC=HS
#pragma config XINST=OFF 	//erweiterer Befehlssatz aus
#pragma config PWRT = OFF	//power-up-Zhler aus

#pragma config MCLRE = ON
#pragma config PBADEN = OFF	//PortB<4:0> an, AD aus

#pragma idata Textsektion
rom unsigned char TextA[]="Ein kleiner Test!";
#pragma idata


//Funktions-Prototypen
void Einstellungen(void);
void SendeTextanLCD(rom unsigned char *Text, unsigned char Zeichenzahl);

#pragma code


void main(void)
{	
	unsigned char EinByte=0b00000000;
	unsigned char Hilfe=0;
	unsigned char Hilfe2=0;
	unsigned char i;
	Einstellungen();
	InitAnzeige();
	LoescheAnzeige();
	PosZeichenkursor(0,0);
	SendeTextanLCD(TextA,10);
	while(1);
}

void Einstellungen(void)
{
	TRISA=0b11001111;
	TRISB=0b00000101;
	PORTB=0b00100000;
	TRISC=0b01111001;
	PORTC=0b00000000;
	TRISD=0b00000001;
	PORTD=0b00110100;
	TRISE=0b11111000;	
	OpenTimer0(TIMER_INT_OFF & T0_16BIT & TIMER_INT_OFF & T0_EDGE_RISE & T0_SOURCE_EXT & T0_PS_1_1);
	OpenTimer1(TIMER_INT_OFF & T1_SOURCE_EXT & T1_16BIT_RW & TIMER_INT_OFF & T1_PS_1_1 & T1_SYNC_EXT_ON & T1_OSC1EN_OFF );
	OpenTimer2(T2_PS_1_1 & T2_POST_1_10 & TIMER_INT_ON);
	OpenADC( ADC_FOSC_32 & ADC_RIGHT_JUST & ADC_12_TAD, ADC_CH0 & ADC_INT_OFF, 0b001110 );
	OpenPWM1(0xff);				
	SetDCPWM1(512);							// 50% Tastverhltnis
	DisablePullups();           			// PORTB Pullup-Widerstnde aus
	OpenSPI(SPI_FOSC_4, MODE_00, SMPMID);
	//OpenI2C(MASTER,SLEW_OFF);				// I2C
	//SSPADD = 49;       					// 100KHz @ 20MHz									
	INTCONbits.PEIE = 0;					//periphere Interrupts ausschalten
	INTCONbits.GIE = 0;						//Interrupts alle ausschalten
	SSPSTATbits.BF=1;
}

